# PCICCSetMatOrdering

Sets the ordering routine (to reduce fill) to be used it the ICC factorization.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCICCSetMatOrdering(PC pc,MatOrderingType ordering)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| ordering | - the matrix ordering name, for example, MATORDERING_ND or MATORDERING_RCM

### Options Database Key

-pc_icc_mat_ordering_type <nd,rcm,...> -Sets ordering routine

### See Also

PCLUSetMatOrdering()

### Keywords

PC, ICC, set, matrix, reordering

Level:intermediate
Location:src/ksp/pc/impls/icc/icc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages